=== Wrappers/CMakeLists.txt ===
add_subdirectory(WrapperGenerator)
add_subdirectory(MyGUI.RenderWindow.Export)
add_subdirectory(MyGUI.OgrePlatform.Export)
