=== Tools/FontViewer/CMakeLists.txt ===
mygui_tool(FontViewer)
