=== debian/changelog ===
mygui (3.2.0-5) unstable; urgency=medium

  [ Bret Curtis ]
  * Build against libogre 1.9 (Closes: #732724)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 03 Jan 2014 08:20:00 +0100

mygui (3.2.0-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * Adjust cmake stuff for new freetype. (Closes: #732969)
  * Build-depend on jessie version of freetype since it's not clear exactly
    when the location was changed.

  [ Scott Howard ]
  * Updated Vcs-Browser
  * moved maintainer to Bret Curtis <psi29a@gmail.com>, made myself uploader

 -- Scott Howard <showard@debian.org>  Mon, 23 Dec 2013 12:20:00 -0500

mygui (3.2.0-3) unstable; urgency=low

  * Build against libogre 1.8 (Closes: #705010)
  * Added Bret Curtis to uploaders

 -- Scott Howard <showard@debian.org>  Fri, 26 Apr 2013 23:03:43 -0400

mygui (3.2.0-2) unstable; urgency=low

  * debian/patches/disable_sse.patch. Disabled -msse flag. Only on
    x86 processors, *i386 need to support processors without it, *64
    architecture has -msse2 as default flag.

 -- Scott Howard <showard@debian.org>  Mon, 08 Apr 2013 08:27:17 -0400

mygui (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #578690)

 -- Scott Howard <showard@debian.org>  Sat, 19 Jan 2013 14:58:42 -0500
