=== debian/watch ===
version=3
http://sf.net/my-gui/MyGUI_([\d\.]*)\.zip
