=== Common/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,29 @@
 set (SOURCE_FILES "")
 
 if(MYGUI_RENDERSYSTEM EQUAL 1)
+	mygui_add_base_manager_source(Dummy)
+	add_definitions("-DMYGUI_DUMMY_PLATFORM")
+	include_directories(
+		${MYGUI_SOURCE_DIR}/Platforms/Dummy/DummyPlatform/include
+	)
+	link_directories(${DUMMY_LIB_DIR})
+elseif(MYGUI_RENDERSYSTEM EQUAL 3)
+	mygui_add_base_manager_source(Ogre)
+	add_definitions("-DMYGUI_OGRE_PLATFORM")
+	include_directories(
+		${MYGUI_SOURCE_DIR}/Platforms/Ogre/OgrePlatform/include
+		${OGRE_INCLUDE_DIR}
+	)
+	link_directories(${OGRE_LIB_DIR})
+elseif(MYGUI_RENDERSYSTEM EQUAL 4)
+	mygui_add_base_manager_source(OpenGL)
+	add_definitions("-DMYGUI_OPENGL_PLATFORM")
+	include_directories(
+		${MYGUI_SOURCE_DIR}/Platforms/OpenGL/OpenGLPlatform/include
+		${OPENGL_INCLUDE_DIR}
+	)
+	link_directories(${OPENGL_LIB_DIR})
+elseif(MYGUI_RENDERSYSTEM EQUAL 5)
 	mygui_add_base_manager_source(DirectX)
 	add_definitions("-DMYGUI_DIRECTX_PLATFORM")
 	include_directories(
@@ -45,23 +68,7 @@
 		${DirectX_INCLUDE_DIR}
 	)
 	link_directories(${DIRECTX_LIB_DIR})
-elseif(MYGUI_RENDERSYSTEM EQUAL 2)
-	mygui_add_base_manager_source(Ogre)
-	add_definitions("-DMYGUI_OGRE_PLATFORM")
-	include_directories(
-		${MYGUI_SOURCE_DIR}/Platforms/Ogre/OgrePlatform/include
-		${OGRE_INCLUDE_DIR}
-	)
-	link_directories(${OGRE_LIB_DIR})
-elseif(MYGUI_RENDERSYSTEM EQUAL 3)
-	mygui_add_base_manager_source(OpenGL)
-	add_definitions("-DMYGUI_OPENGL_PLATFORM")
-	include_directories(
-		${MYGUI_SOURCE_DIR}/Platforms/OpenGL/OpenGLPlatform/include
-		${OPENGL_INCLUDE_DIR}
-	)
-	link_directories(${OPENGL_LIB_DIR})
-elseif(MYGUI_RENDERSYSTEM EQUAL 4)
+elseif(MYGUI_RENDERSYSTEM EQUAL 6)
 	mygui_add_base_manager_source(DirectX11)
 	add_definitions("-DMYGUI_DIRECTX11_PLATFORM")
 	include_directories(
@@ -84,15 +91,18 @@
 add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})
 
 if(MYGUI_RENDERSYSTEM EQUAL 1)
+	add_dependencies(${PROJECTNAME} MyGUI.DummyPlatform)
+	target_link_libraries(${PROJECTNAME} MyGUI.DummyPlatform)
+elseif(MYGUI_RENDERSYSTEM EQUAL 3)
+	add_dependencies(${PROJECTNAME} MyGUI.OgrePlatform)
+	target_link_libraries(${PROJECTNAME} MyGUI.OgrePlatform)
+elseif(MYGUI_RENDERSYSTEM EQUAL 4)
+	add_dependencies(${PROJECTNAME} MyGUI.OpenGLPlatform)
+	target_link_libraries(${PROJECTNAME} MyGUI.OpenGLPlatform)
+elseif(MYGUI_RENDERSYSTEM EQUAL 5)
 	add_dependencies(${PROJECTNAME} MyGUI.DirectXPlatform)
 	target_link_libraries(${PROJECTNAME} MyGUI.DirectXPlatform)
-elseif(MYGUI_RENDERSYSTEM EQUAL 2)
-	add_dependencies(${PROJECTNAME} MyGUI.OgrePlatform)
-	target_link_libraries(${PROJECTNAME} MyGUI.OgrePlatform)
-elseif(MYGUI_RENDERSYSTEM EQUAL 3)
-	add_dependencies(${PROJECTNAME} MyGUI.OpenGLPlatform)
-	target_link_libraries(${PROJECTNAME} MyGUI.OpenGLPlatform)
-elseif(MYGUI_RENDERSYSTEM EQUAL 4)
+elseif(MYGUI_RENDERSYSTEM EQUAL 6)
 	add_dependencies(${PROJECTNAME} MyGUI.DirectX11Platform)
 	target_link_libraries(${PROJECTNAME} MyGUI.DirectX11Platform)
 endif()
@@ -110,3 +120,7 @@
 	link_directories(${OIS_LIB_DIR})
 	target_link_libraries(${PROJECTNAME} ${OIS_LIBRARIES})
 endif()
+
+if(NOT WIN32)
+	target_link_libraries(${PROJECTNAME} X11)
+endif()
