=== Tools/EditorFramework/CMakeLists.txt ===
mygui_tool_dll(EditorFramework)
