=== UnitTests/UnitTest_ItemBox_Info/CMakeLists.txt ===
mygui_unit_test(UnitTest_ItemBox_Info)
