=== debian/changelog ===
mygui (3.2.1-1) unstable; urgency=medium

  [ Bret Curtis ]
  * Updated license for majority of files from LGPL to Expat (MIT)

  [ Scott Howard ]
  * New upstream release
  * Updated patch to add build option for system GLEW libraries
  * All patches accepted upstream except shared_libraries.patch
  * Bumped SONAME due to dropped symbols, updated *.symbols and package
    names
  * Updated license of debian/* to Expat with permission of all authors
  * Don't install Doxygen autogenerated md5 and map files (thanks
    lintian)

 -- Scott Howard <showard@debian.org>  Thu, 18 Sep 2014 17:57:48 -0400

mygui (3.2.0-7) unstable; urgency=medium

  * Added limits.patch to fix building on hurd.
  * Updated symbols for libs, this was not done during the automatic rebuild
    triggered by an Ogre3D rebuild.

 -- Bret Curtis <psi29a@gmail.com>  Thu, 07 Aug 2014 08:21:00 +0100

mygui (3.2.0-6) unstable; urgency=low

  * Drop B-D on libois-dev, not used in build
  * link OgrePlatform with libboost_system, fixes unresolved symbols
  * updated shared_libraries.patch
    - LINK_INTERFACE_LIBRARIES set in MyGUI target to not use
      transitive library depends
    - OPENGL_LIBRARIES links to x11 and GLU. Changed to link to GL
      instead.
  * Updated symbols file

 -- Scott Howard <showard@debian.org>  Thu, 16 Jan 2014 14:54:12 -0500
