=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Maintainer: Bret Curtis <psi29a@gmail.com>
 Uploaders: Scott Howard <showard@debian.org>
 Build-Depends: cmake, doxygen, debhelper (>= 9), libogre-1.9-dev,
- libfreetype6-dev (>= 2.5.1), libois-dev, pkg-config, graphviz, libglu1-mesa-dev,
- libgl1-mesa-dev, libglew-dev
+ libfreetype6-dev (>= 2.5.1), pkg-config, graphviz, libgl1-mesa-dev, libglew-dev
 Homepage: http://www.ogre3d.org/tikiwiki/MyGUI
 Standards-Version: 3.9.5
 Section: libs
@@ -15,9 +14,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libmyguiengine3 (= ${binary:Version}),
- libmygui.ogreplatform0debian0 (= ${binary:Version}),
- libmygui.openglplatform0debian0 (= ${binary:Version})
+ libmyguiengine3debian1 (= ${binary:Version}),
+ libmygui.ogreplatform0debian1 (= ${binary:Version}),
+ libmygui.openglplatform0debian1 (= ${binary:Version})
 Suggests: mygui-doc
 Description: Fast, simple and flexible GUI for OpenMW - development files
  MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
@@ -43,7 +42,7 @@
  This package contains the headers and static libraries needed to develop
  programs using MyGUI.
 
-Package: libmyguiengine3
+Package: libmyguiengine3debian1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast, simple and flexible GUI - shared library
@@ -69,11 +68,11 @@
  .
  This package contains the MyGUI runtime engine.
 
-Package: libmyguiengine3-dbg
+Package: libmyguiengine3debian1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libmyguiengine3 (= ${binary:Version})
+Depends: ${misc:Depends}, libmyguiengine3debian1 (= ${binary:Version})
 Description: Fast, simple and flexible GUI - debugging symbols
  MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
   Features include
@@ -97,7 +96,7 @@
  .
  This package contains the MyGUI runtime engine debugging symbols.
 
-Package: libmygui.ogreplatform0debian0
+Package: libmygui.ogreplatform0debian1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast, simple and flexible GUI - Ogre interface
@@ -123,11 +122,11 @@
  .
  This package contains the MyGUI interface to the Ogre graphics engine.
 
-Package: libmygui.ogreplatform0debian0-dbg
+Package: libmygui.ogreplatform0debian1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libmygui.ogreplatform0debian0 (= ${binary:Version})
+Depends: ${misc:Depends}, libmygui.ogreplatform0debian1 (= ${binary:Version})
 Description: Fast, simple and flexible GUI Ogre - debugging symbols
  MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
   Features include
@@ -152,7 +151,7 @@
  This package contains the MyGUI interface to the Ogre graphics engine debugging
  symbols.
 
-Package: libmygui.openglplatform0debian0
+Package: libmygui.openglplatform0debian1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast, simple and flexible GUI - OpenGL interface
@@ -178,11 +177,11 @@
  .
  This package contains the MyGUI interface for OpenGL.
 
-Package: libmygui.openglplatform0debian0-dbg
+Package: libmygui.openglplatform0debian1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libmygui.openglplatform0debian0 (= ${binary:Version})
+Depends: ${misc:Depends}, libmygui.openglplatform0debian1 (= ${binary:Version})
 Description: Fast, simple and flexible GUI OpenGL - debugging symbols
  MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
   Features include
