=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,13 @@
 
 override_dh_auto_build:
 #	build for OpenGL
-	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=3 \
+	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=4 \
 	 -DMYGUI_BUILD_DOCS=FALSE -DMYGUI_BUILD_PLUGINS=FALSE \
-	 -DMYGUI_BUILD_TOOLS=FALSE
+	 -DMYGUI_BUILD_TOOLS=FALSE -DMYGUI_USE_SYSTEM_GLEW=TRUE
 	dh_auto_build
 	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2
 #	Build for Ogre platform, and tools
-	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=2 \
+	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=3 \
 	 -DMYGUI_BUILD_DOCS=TRUE -DMYGUI_BUILD_PLUGINS=FALSE \
 	 -DMYGUI_BUILD_TOOLS=FALSE
 	dh_auto_build
@@ -30,13 +30,16 @@
 	find debian/ -type d -empty -delete
 	dh_install -Xlicense.txt -Xttf
 
+override_dh_installdocs:
+	dh_installdocs -X.md5 -X.map
+
 debian/%.docs: debian/%.docs.in
 	sed 's/@BUILD_DIR@/obj-$(DEB_BUILD_GNU_TYPE)/g' $< > $@
 
 override_dh_strip:
-	dh_strip -plibmyguiengine3 --dbg-package=libmyguiengine3-dbg
-	dh_strip -plibmygui.ogreplatform0debian0 --dbg-package=libmygui.ogreplatform0debian0-dbg
-	dh_strip -plibmygui.openglplatform0debian0 --dbg-package=libmygui.openglplatform0debian0-dbg
+	dh_strip -plibmyguiengine3debian1 --dbg-package=libmyguiengine3debian1-dbg
+	dh_strip -plibmygui.ogreplatform0debian1 --dbg-package=libmygui.ogreplatform0debian1-dbg
+	dh_strip -plibmygui.openglplatform0debian1 --dbg-package=libmygui.openglplatform0debian1-dbg
 	dh_strip
 
 override_dh_makeshlibs:
